<?xml version="1.0"?>
<block>
  <name>Jay's Peak Manager</name>
  <key>jay_peak_manager</key>
  <category>[jay]</category>
  <import>import jay</import>
  <make>jay.peak_manager($numPeaksMax)</make>

  <param>
    <name>Num. peaks max.</name>
    <key>numPeaksMax</key>
    <value>1</value>
    <type>int</type>
  </param>

   <sink>
    <name>control</name>
    <type>message</type>
    <optional>1</optional>
  </sink>

  <source>
    <name>status</name>
    <type>message</type>
    <nports>$numPeaksMax</nports>
    <optional>1</optional>
  </source>
</block>

